package com.citygis.cdc.controller;

import com.citygis.cdc.service.DataByUrlService;

import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import java.io.UnsupportedEncodingException;
import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * @author zyl
 * @date 2022-07-12 15:38
 */
@RestController
@RequestMapping("/cdcUrl/url")
@CrossOrigin
public class UrlController {


    @Resource
    DataByUrlService dataByUrlService;

    /**
     * 普通url转发
     *
     * @param data
     * @param url
     * @param request
     * @return
     */
    @RequestMapping("/getDataByUrl")
    public String dataByUrl(@RequestBody(required = false) String data,
                            @RequestParam(value = "url", required = false) String url,
                            @RequestParam(value = "httpType", required = false) String httpType,
                            HttpServletRequest request) throws UnsupportedEncodingException {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String formatDate = format.format(new Date());
        System.out.println("时间--->" + formatDate);
        if ("get".equalsIgnoreCase(httpType)) {

            System.out.println("get");
            return dataByUrlService.dataByUrlGet(data, url, request);
        } else {

            System.out.println("post");
            return dataByUrlService.dataByUrl(data, url, request);
        }

    }


    /**
     * 国密ssl转发
     *
     * @param data
     * @param url
     * @param request
     * @return
     */
    @RequestMapping("/getDataByGMUrl")
    public String dataByGMUrl(@RequestBody(required = false) String data,
                              @RequestParam("url") String url,
                              @RequestParam(value = "httpType", required = false) String httpType,
                              HttpServletRequest request) throws UnsupportedEncodingException {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss");
        String formatDate = format.format(new Date());
        System.out.println("时间--->" + formatDate);
        if ("get".equalsIgnoreCase(httpType)) {
            System.out.println("gmget");
            return dataByUrlService.dataByGMUrlGet(data, url, request);
        } else {
            System.out.println("gmpost");
            return dataByUrlService.dataByGMUrl(data, url, request);

        }
    }

}
